> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Transaction Steps Export Request



## OpenAPI

````yaml /openapi-reporting.json post /api/reporting/v2/exports/transaction-steps
openapi: 3.0.4
info:
  title: Abbyy.Vantage.Reporting.Service
  description: 'Environment: Production<br>Product Version: 1.3.2'
  version: '2.0'
  x-application-version: 1.3.2
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps:
    post:
      tags:
        - Report
      summary: Create Transaction Steps Export Request
      operationId: CreateTransactionStepsExportRequest
      requestBody:
        content:
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
components:
  schemas:
    CreateTransactionStepsCsvRequest:
      type: object
      properties:
        filters:
          allOf:
            - $ref: '#/components/schemas/AsyncStepReportFilters'
          description: Transaction steps filters
          nullable: true
        sendEmailNotification:
          type: boolean
          description: Enables to send notification on request processing completion
      additionalProperties: false
    CreateReportRequestResponse:
      type: object
      properties:
        requestId:
          type: string
          format: uuid
      additionalProperties: false
    AsyncStepReportFilters:
      required:
        - startDate
      type: object
      properties:
        skillId:
          type: string
          description: >-
            Filter by transaction skill ID. {NULL} if skill ID filter should not
            be applied
          nullable: true
        transactionId:
          type: string
          description: Filter by transaction ID. {NULL} if ID filter should not be applied
          nullable: true
        startDate:
          type: string
          description: Minimum transaction step completion date
          format: date-time
          default: '2025-12-17T15:36:38.524Z'
        endDate:
          type: string
          description: Maximum step completion date (current UTC time if empty)
          format: date-time
      additionalProperties: false
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````